package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.PlanStandardPurchase;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.PlanStandardPurchaseQuery;
import cn.wise.sc.cement.business.model.vo.PlanStandardPurchaseVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
public interface IPlanStandardPurchaseService extends IService<PlanStandardPurchase> {

	BaseResponse<IPage<PlanStandardPurchaseVo>> getPage(PageQuery pageQuery, String name,String code);

	void export(String name, String fileName, HttpServletResponse response);

	BaseResponse<PlanStandardPurchase> create(PlanStandardPurchaseQuery query);

	BaseResponse<PlanStandardPurchase> update(PlanStandardPurchaseQuery query);

	BaseResponse<PlanStandardPurchaseVo> getDetail(Integer id);

	BaseResponse<String> finish(Integer id);

	BaseResponse<String> delete(Integer id);

}
